OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000075OMNeT++command line toolspublic2009-06-10 15:342011-05-25 12:40
Reporterrhornig 
Assigned Toandras 
PriorityhighSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version 
Summary0000075: VS toolchain version is not correctly detected with chinese VS
DescriptionCompile failure: we found that in the configuruser.vc, a perl script is
used to detect the version of the VS. But if our VS 2005 is chinese version,
the perl script doesn't work well. And so the compile operation will fail.
Additional InformationThe perl script was written to detect the version string only on english version. Please provide a a screenshot of the banner comment from the ms compiler. Or suggest an appropriate regexp (look into the opp_msvcver.pl)
TagsNo tags attached.
Attached Filesjpg file icon vc9-chinese.jpg [^] (16,431 bytes) 2011-05-25 12:37

- Relationships
has duplicate 0000117resolvedrhornig VC Express 9.0 launch error 

-  Notes
(0000156)
andras (administrator)
2009-07-07 21:53

Looks like the solution will be to read the version info from the file (cl.exe) itself, using the GetFileVersionInfo() Win32 API. Corresponding opp_pefileversion.cc from ViRe is checked in under src/utils.
(0000458)
andras (administrator)
2011-05-25 12:38

Uploaded screenshot with Chinese version of VC9.
(0000459)
andras (administrator)
2011-05-25 12:40

Reverting to simple solution suggested by Buquan Liu:

src/utils/opp_msvcver.pl:

#if ($logo =~ /Microsoft.*32-bit.*Version ([0-9]+)\./) { #BOGUS
if ($logo =~ /Microsoft.*\s([0-9]+)\./) {
  exit($1);
} else {
  exit(-1);
}

- Issue History
Date Modified Username Field Change
2009-06-10 15:34 rhornig New Issue
2009-07-07 21:53 andras Note Added: 0000156
2009-07-07 21:53 andras Assigned To => rhornig
2009-07-07 21:53 andras Status new => in work
2009-11-23 14:26 rhornig Priority normal => high
2011-05-25 12:37 andras File Added: vc9-chinese.jpg
2011-05-25 12:38 andras Assigned To rhornig => andras
2011-05-25 12:38 andras Note Added: 0000458
2011-05-25 12:40 andras Note Added: 0000459
2011-05-25 12:40 andras Status in work => resolved
2011-05-25 12:40 andras Fixed in Version => 4.2b3
2011-05-25 12:40 andras Resolution open => fixed
2011-05-25 12:40 andras Relationship added has duplicate 0000117


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker